Skip to content

List Do-Not-Call numbers

Do-Not-Call
POSThttps://api.dcdial.com/api/type=get_dncs
Read onlyToken

Lists the numbers on your Do-Not-Call lists, company-wide and per campaign.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_dncs for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

Notes

campaign_id is System Internal for numbers blocked company-wide.

Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_dncs \
-d token="$DCDIAL_TOKEN"
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"dncs_list": [
{
"phone_number": "5550100123",
"campaign_id": "System Internal",
"last_modify_date": "2026-10-01 09:12:44"
},
{
"phone_number": "5550100124",
"campaign_id": "1024",
"last_modify_date": "2026-10-03 16:40:02"
}
]
}
}

Try it

Environment